@charset "UTF-8";
@font-face {
  font-family: 'DejaVu Sans Mono';
  src: local('DejaVu Sans Mono'), local('DejaVuSansMono'), url('DejaVuSansMono.woff2') format('woff2'), url('DejaVuSansMono.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}
html {
  background: #555555;
}
html,
pre {
  font-family: 'DejaVu Sans Mono', 'Cascadia Mono', monospace;
  font-size: 14pt;
}
.bar-common,
body::before,
body::after,
a:focus::after {
  position: fixed;
  left: 0;
  right: 0;
  margin: 0 auto;
  color: #000000;
  background: #aaaaaa;
}
body {
  background: #000000;
  color: #aaaaaa;
  margin: 0 auto;
  padding: 1ch 0;
  max-width: 80ch;
}
body::before {
  top: 0;
  max-width: 80ch;
  content: "~mgorny (" counter(page) "/" counter(pages) ") ";
  text-align: right;
}
@media only screen {
  body::after {
    bottom: 0;
    right: 1ch;
    max-width: 79ch;
    content: 'OK                                                                     [------]';
    z-index: 0;
    overflow: hidden;
    white-space: nowrap;
  }
  /* fancy scanlines, because why not */
  h1::after {
    content: "";
    pointer-events: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000000;
    background: linear-gradient(
        to bottom,
        transparent 75%,
        rgba(0, 0, 0, 0.25)
    );
    background-size: 100% 4px;
  }
}
h1,
h2 {
  font-weight: normal;
  font-size: 100%;
}
h1 {
  color: #ffffff;
  font-weight: bold;
  text-align: center;
}
em {
  font-weight: normal;
  font-style: normal;
  color: #00aaaa;
}
a {
  display: inline-block;
  color: #5555ff;
  text-decoration: underline transparent;
  transition: text-decoration 0.3s ease;
}
a:visited {
  color: #ffff55;
}
a:focus {
  color: #000000;
  background: #5555ff;
}
a:focus::after {
  bottom: 0;
  right: 10ch;
  width: 70ch;
  content: attr(href);
  overflow: hidden;
  white-space: nowrap;
  z-index: 1;
}
a:focus::first-letter {
  background: #aaaaaa;
}
a:hover {
  text-decoration: underline currentcolor;
}
p {
  margin: 1em 3ch;
}
pre {
  margin: 1em 1ch;
}
pre.snippet {
  white-space: pre-wrap;
  overflow-wrap: anywhere;
  word-break: break-all;
}
.filters a {
  color: #aaaaaa;
}
.filters a.tag-pop5 {
  color: #ffffff;
}
.filters a.tag-pop4 {
  color: #ffffff;
}
.filters a.tag-pop2 {
  color: #aaaaaa;
}
.filters a.tag-pop1 {
  color: #555555;
}
.filters a em {
  color: #5555ff;
  font-weight: bold;
}
.filters a em::before {
  content: '[';
}
.filters a em::after {
  content: ']';
}
.filters a:focus::after {
  content: 'Checkbox, value on';
}
.filters a:focus em,
.filters a:focus em::before,
.filters a:focus em::after {
  color: #ffffff;
  background: #5555ff;
}
sup::before {
  content: '^';
}
div {
  transition: max-height 0.5s ease-in-out, opacity 0.5s ease-in-out;
}
.lightblue {
  color: #5555ff;
}
.brown {
  color: #aa5500;
}
.green {
  color: #00aa00;
}
.red {
  color: #aa0000;
}
.magenta {
  color: #aa00aa;
}
.blue {
  color: #0000aa;
}
.cyan {
  color: #00aaaa;
}
.darkgray {
  color: #555555;
}
.white {
  color: #ffffff;
}
